#### D.15.2.28 determinacyBound

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  determinacyBound(f); f poly or Poly or NormalForm

Return:
  an upper bound for the determinacy bound of f (or f.value or f.phi.sourcegerm.value)

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8+x^3*y^5+y^2*x^5;
    Poly F = makePoly(f);
    NormalForm N = determineNormalForm(F);
    determinacyBound(f);
    ==> 11
    determinacyBound(F);
    ==> 11
    determinacyBound(N);
    ==> 11

User manual for Singular version 4.4.1, 2025, generated by texi2html.